package com.bonus.canteen.core.device.manage.controller.deprecated.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.bonus.canteen.core.device.manage.vo.WeightMenuDishesVO;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Map;

public class MacHeartBeatVo implements Serializable {
   @ApiModelProperty("计量主机设置（只适用于计量主机）")
   Map weightBasSetting;
   @ApiModelProperty("下发菜谱时间")
   @JSONField(
      format = "yyyy-MM-dd HH:mm:ss"
   )
   private LocalDateTime menuSendTime;
   @ApiModelProperty("当前时间戳")
   private Long localMilliSecond;
   @ApiModelProperty("菜品Id")
   private Long menuId;
   @ApiModelProperty("菜品编号")
   private Integer menuNo;
   @ApiModelProperty("菜品名称")
   private String menuName;
   @ApiModelProperty("菜品销售价格")
   private Integer menuPrice;
   @ApiModelProperty("菜品重量")
   private Integer menuWeigh;
   @ApiModelProperty("切菜时间")
   @JSONField(
      format = "yyyy-MM-dd HH:mm:ss"
   )
   private LocalDateTime menuUpTime;
   @ApiModelProperty("菜品编号")
   private Integer menuNoRight;
   @ApiModelProperty("菜品名称")
   private String menuNameRight;
   @ApiModelProperty("菜品销售价格")
   private Integer menuPriceRight;
   @ApiModelProperty("菜品重量")
   private Integer menuWeighRight;
   @ApiModelProperty("菜品Id")
   private Long menuIdRight;
   @ApiModelProperty("切菜时间")
   @JSONField(
      format = "yyyy-MM-dd HH:mm:ss"
   )
   private LocalDateTime menuUpTimeRight;
   private WeightMenuDishesVO menuDishesRight;
   private WeightMenuDishesVO menuDishes;
   @ApiModelProperty("天线状态")
   private String antennaState;
   @ApiModelProperty("设备版本号")
   private String deviceVersion;
   @ApiModelProperty("在线状态1：在线，2：离线")
   private Integer onlineState;
   @ApiModelProperty("菜谱图片信息")
   private String foodImage;

   public Map getWeightBasSetting() {
      return this.weightBasSetting;
   }

   public LocalDateTime getMenuSendTime() {
      return this.menuSendTime;
   }

   public Long getLocalMilliSecond() {
      return this.localMilliSecond;
   }

   public Long getMenuId() {
      return this.menuId;
   }

   public Integer getMenuNo() {
      return this.menuNo;
   }

   public String getMenuName() {
      return this.menuName;
   }

   public Integer getMenuPrice() {
      return this.menuPrice;
   }

   public Integer getMenuWeigh() {
      return this.menuWeigh;
   }

   public LocalDateTime getMenuUpTime() {
      return this.menuUpTime;
   }

   public Integer getMenuNoRight() {
      return this.menuNoRight;
   }

   public String getMenuNameRight() {
      return this.menuNameRight;
   }

   public Integer getMenuPriceRight() {
      return this.menuPriceRight;
   }

   public Integer getMenuWeighRight() {
      return this.menuWeighRight;
   }

   public Long getMenuIdRight() {
      return this.menuIdRight;
   }

   public LocalDateTime getMenuUpTimeRight() {
      return this.menuUpTimeRight;
   }

   public WeightMenuDishesVO getMenuDishesRight() {
      return this.menuDishesRight;
   }

   public WeightMenuDishesVO getMenuDishes() {
      return this.menuDishes;
   }

   public String getAntennaState() {
      return this.antennaState;
   }

   public String getDeviceVersion() {
      return this.deviceVersion;
   }

   public Integer getOnlineState() {
      return this.onlineState;
   }

   public String getFoodImage() {
      return this.foodImage;
   }

   public void setWeightBasSetting(final Map weightBasSetting) {
      this.weightBasSetting = weightBasSetting;
   }

   public void setMenuSendTime(final LocalDateTime menuSendTime) {
      this.menuSendTime = menuSendTime;
   }

   public void setLocalMilliSecond(final Long localMilliSecond) {
      this.localMilliSecond = localMilliSecond;
   }

   public void setMenuId(final Long menuId) {
      this.menuId = menuId;
   }

   public void setMenuNo(final Integer menuNo) {
      this.menuNo = menuNo;
   }

   public void setMenuName(final String menuName) {
      this.menuName = menuName;
   }

   public void setMenuPrice(final Integer menuPrice) {
      this.menuPrice = menuPrice;
   }

   public void setMenuWeigh(final Integer menuWeigh) {
      this.menuWeigh = menuWeigh;
   }

   public void setMenuUpTime(final LocalDateTime menuUpTime) {
      this.menuUpTime = menuUpTime;
   }

   public void setMenuNoRight(final Integer menuNoRight) {
      this.menuNoRight = menuNoRight;
   }

   public void setMenuNameRight(final String menuNameRight) {
      this.menuNameRight = menuNameRight;
   }

   public void setMenuPriceRight(final Integer menuPriceRight) {
      this.menuPriceRight = menuPriceRight;
   }

   public void setMenuWeighRight(final Integer menuWeighRight) {
      this.menuWeighRight = menuWeighRight;
   }

   public void setMenuIdRight(final Long menuIdRight) {
      this.menuIdRight = menuIdRight;
   }

   public void setMenuUpTimeRight(final LocalDateTime menuUpTimeRight) {
      this.menuUpTimeRight = menuUpTimeRight;
   }

   public void setMenuDishesRight(final WeightMenuDishesVO menuDishesRight) {
      this.menuDishesRight = menuDishesRight;
   }

   public void setMenuDishes(final WeightMenuDishesVO menuDishes) {
      this.menuDishes = menuDishes;
   }

   public void setAntennaState(final String antennaState) {
      this.antennaState = antennaState;
   }

   public void setDeviceVersion(final String deviceVersion) {
      this.deviceVersion = deviceVersion;
   }

   public void setOnlineState(final Integer onlineState) {
      this.onlineState = onlineState;
   }

   public void setFoodImage(final String foodImage) {
      this.foodImage = foodImage;
   }

}
